// Registry.h: interface for the Registry class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_REGISTRY_H__F8443E73_E7E4_478D_A2F1_87BD2A6480E8__INCLUDED_)
#define AFX_REGISTRY_H__F8443E73_E7E4_478D_A2F1_87BD2A6480E8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class Registry  
{
public:
	Registry();
	virtual ~Registry();

	int	RegGetValue(HKEY HKey, WCHAR *wszPath, WCHAR *wszName, WCHAR *wszValue);
	int RegGetIntValue(HKEY HKey, WCHAR *wszPath, WCHAR *wszName, DWORD *dnValue);
	int CreateRegValue(HKEY HKey, WCHAR *wszPath, WCHAR *wszValueName, DWORD type, void *pValue, DWORD nLen);
	int CreateRegValueINT(HKEY HKey, WCHAR *wszPath, WCHAR *wszValueName, DWORD nValue);
	int CreateRegValueBIN(HKEY HKey, WCHAR *wszPath, WCHAR *wszValueName, char *szValue, int nLen);
	int CreateRegValueSZ(HKEY HKey, WCHAR *wszPath, WCHAR *wszValueName, WCHAR *wszValue);
	int RemoveRegValue(HKEY HKey, WCHAR *wszPath, WCHAR *wszValue);
	int RemoveRegKey(HKEY HKey, WCHAR *wszPath, WCHAR *wszKey);
};

extern WCHAR StorageCard[256];
extern WCHAR InstallPath[256];

#endif // !defined(AFX_REGISTRY_H__F8443E73_E7E4_478D_A2F1_87BD2A6480E8__INCLUDED_)
